Brasero não inicia - Erros de GTK [Resolvido]

Publicado por Ademux em 11/05/2015

[ Hits: 3.092 ]

 


Brasero não inicia - Erros de GTK [Resolvido]



Fiz uma instalação do Elementary OS e como preciso utilizar um gravador de DVD, resolvi instalar o Brasero, pois já o havia utilizado, achei bem funcional e minimalista. Fato é, que ao instalá-lo pelo apt-get, simplesmente não funcionava.

Vendo as saídas no terminal, me deparei com referências à biblioteca GTK:

(brasero:4656): Gtk-CRITICAL **: gtk_widget_get_preferred_width: assertion 'GTK_IS_WIDGET (widget)' failed

(brasero:4656): Gtk-CRITICAL **: gtk_widget_set_size_request: assertion 'GTK_IS_WIDGET (widget)' failed

(brasero:4656): Gtk-CRITICAL **: gtk_widget_get_preferred_width: assertion 'GTK_IS_WIDGET (widget)' failed

(brasero:4656): Gtk-CRITICAL **: gtk_widget_get_preferred_width: assertion 'GTK_IS_WIDGET (widget)' failed

(brasero:4656): Gtk-CRITICAL **: gtk_widget_get_preferred_height_for_width: assertion 'GTK_IS_WIDGET (widget)' failed

(brasero:4656): Gtk-CRITICAL **: gtk_widget_get_preferred_height_for_width: assertion 'GTK_IS_WIDGET (widget)' failed

(brasero:4656): Gtk-CRITICAL **: gtk_widget_get_preferred_width: assertion 'GTK_IS_WIDGET (widget)' failed

(brasero:4656): Gtk-CRITICAL **: gtk_widget_set_size_request: assertion 'GTK_IS_WIDGET (widget)' failed

(brasero:4656): Gtk-CRITICAL **: gtk_widget_get_preferred_width: assertion 'GTK_IS_WIDGET (widget)' failed

(brasero:4656): Gtk-CRITICAL **: _gtk_widget_get_preferred_size_and_baseline: assertion 'GTK_IS_WIDGET (widget)' failed


Obs.: Esta é a saída do post, a qual deixo como referência, e não a minha saída no terminal, mas é muito similar."

Bem, sendo óbvio, fui buscar a instalação de uma biblioteca GTK:

sudo apt-get install libgtk2.0-dev

A versão usada para desenvolvimento, mas que poderia resolver meu encalço. Nada feito!

Então, consegui a solução com um PPA, que funcionou bem naquele momento:

sudo apt-add-repository ppa:gnome3-team/gnome3-staging
sudo apt-get update
sudo apt-get install brasero
sudo add-apt-repository --remove ppa:gnome3-team/gnome3-staging

Referência


Fica aqui o registro. Na situação funcionou pra mim, mas cada caso é um caso.

Abraço.

Outras dicas deste autor
Nenhuma dica encontrada.
Leitura recomendada

Chromium pronto para o Arch - Instalando!

Linux.js - Um GNU/Linux disponível em qualquer lugar

Definindo o navegador padrão do Thunderbird 1.5

Pacote ttf-mscorefonts não instala no Ubuntu 16.04 LTS [RESOLVIDO]

Instalando o Firefox mais recente no Linux Mint Debian Edition e Debian através de repositórios

  

Comentários
[1] Comentário enviado por albfneto em 11/05/2015 - 20:13h

favoritado isto.
funcionou em sabayon também, bastou instalar a biblioteca libgtk-dev
¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨
Albfneto,
Ribeirão Preto, S.P., Brasil.
Usuário Linux, Linux Counter: #479903.
Distros Favoritas: [i] Sabayon, Gentoo, OpenSUSE, Mageia e OpenMandriva[/i].

[2] Comentário enviado por edps em 12/05/2015 - 01:26h

Isso pode ser problema até mesmo com o tema usado, digo isso porque esse pacote sempre está instalado em meus Debian porque é uma dependência para compilação.

Em casos assim (ou melhor no meu caso), basta alterar o tema para um padrão como o Clearlooks, Adwaita ou outro reconhecidamente testado que o programa abre, não digo só o Brasero, mas qualquer um em GTK que apresente o problema.

-----------------------------------------------
Together we stand, divided we fall!
-----------------------------------------------



Contribuir com comentário